Skip to content
Snippets Groups Projects
Commit ab80717c authored by Paul McCarthy's avatar Paul McCarthy :mountain_bicyclist:
Browse files

Initial import

parents
No related branches found
No related tags found
No related merge requests found
Showing
with 639 additions and 0 deletions
EddyTestData/eddyData
#! /bin/sh
#
# This script runs eddy followed by some
# tests on the output.
# It uses simulated data supplied by Mark
# Graham, UCL, which allows us to have a ground
# truth. The data is a subset of that used
# for the outlier paper.
#
mean_dfield_difference() {
local mdd_ii=$1
local mdd_odir=$2
local mdd_obase=$3
local mdd_tfname=$4
local mdd_mask=$5
if [ ${#mdd_ii} -eq 1 ]; then
local mdd_ofname="${mdd_odir}/${mdd_obase}.eddy_displacement_fields.00${mdd_ii}.nii.gz"
elif [ ${#mdd_ii} -eq 2 ]; then
local mdd_ofname="${mdd_odir}/${mdd_obase}.eddy_displacement_fields.0${mdd_ii}.nii.gz"
elif [ ${#mdd_ii} -eq 3 ]; then
local mdd_ofname="${mdd_odir}/${mdd_obase}.eddy_displacement_fields.${mdd_ii}.nii.gz"
fi
fslmaths ${mdd_tfname} -sub ${mdd_ofname} -mul ${mdd_mask} -sqr -Tmean -mul 3 -sqrt ${mdd_odir}/${mdd_obase}_${mdd_ii}_tmp
local mdd_mdiff=`fslstats ${mdd_odir}/${mdd_obase}_${mdd_ii}_tmp -k ${mdd_mask} -M`
# imrm ${mdd_odir}/${mdd_obase}_${mdd_ii}_tmp
echo ${mdd_mdiff}
return 0
}
odir=$1
strict=$2
indir=$3
#
# Inputs 1--3 are the once neccessary for feeds to work
# Additional inputs are optional and intended for testing
# outside of the feeds context.
#
# Input 4 is alternative location of executable
#
if [ "$#" -gt 3 ]; then
exedir=$4
echo "Directory for eddy executables set to ${exedir}"
else
exedir="${FSLDIR}/bin"
fi
if [ ! -x "${exedir}/eddy_cuda" ]; then
echo "Executable ${exedir}/eddy_cuda does not exist"
exit 1
fi
if [ ! -x "${exedir}/eddy_openmp" ]; then
echo "Executable ${exedir}/eddy_openmp does not exist"
exit 1
fi
if [ ! -d "$odir" ]; then
echo "Output directory ${odir} does not exist"
exit 1;
fi
if [ ! -d "$indir" ]; then
echo "Input directory ${odir} does not exist"
exit 1;
fi
# Define some constants
max_mean_dfield_diff=0.543
max_max_dfield_diff=0.877
max_mean_ima_diff=1.49
max_max_ima_diff=3.18
# Launch both GPU and CPU versions
cuda_jid=`fsl_sub -q cuda.q ${exedir}/eddy_cuda --imain=${indir}/EddyTestData/eddyData/testData --mask=${indir}/EddyTestData/eddyData/testMask --bvals=${indir}/EddyTestData/eddyData/testBvals --bvecs=${indir}/EddyTestData/eddyData/testBvecs --index=${indir}/EddyTestData/eddyData/testIndex --acqp=${indir}/EddyTestData/eddyData/testAcqparams --repol --fwhm=10,0,0,0,0 --out=${odir}/eddyCudaOutput --dfields -v`
omp_jid=`fsl_sub -q long.q -s openmp,6 ${exedir}/eddy_openmp --imain=${indir}/EddyTestData/eddyData/testData --mask=${indir}/EddyTestData/eddyData/testMask --bvals=${indir}/EddyTestData/eddyData/testBvals --bvecs=${indir}/EddyTestData/eddyData/testBvecs --index=${indir}/EddyTestData/eddyData/testIndex --acqp=${indir}/EddyTestData/eddyData/testAcqparams --repol --fwhm=10,0,0,0,0 --out=${odir}/eddyOmpOutput --dfields -v`
# Wait until they have both finished
while [ : ]; do
tmp=`qstat -j ${cuda_jid} | wc`
tmp=`echo $tmp | awk '{print $1}'`
if [ $tmp -eq 0 ]; then
tmp=`qstat -j ${omp_jid} | wc`
tmp=`echo $tmp | awk '{print $1}'`
if [ $tmp -eq 0 ]; then
break
fi
fi
sleep 5m
done
# Check that eddy output exists
if [ ! -f ${odir}/eddyCudaOutput.nii* ]; then
exit 1
fi
if [ ! -f ${odir}/eddyOmpOutput.nii* ]; then
exit 1
fi
# Check the results against ground truth
# First compare displacement fields
mmddiff=""
maxddiff=""
for obase in eddyCudaOutput eddyOmpOutput; do
mdiff=""
for ((ii=1; ii<=108; ii+=1)); do
mdiff="${mdiff} $(mean_dfield_difference ${ii} ${odir} ${obase} ${indir}/EddyTestData/eddyData/DisplacementFields/DisplacementField${ii} ${indir}/EddyTestData/eddyData/testMask)"
done
echo $mdiff > ${odir}/${obase}.dfield_mean_diff.txt
mmddiff="${mmddiff} $(echo $mdiff | awk '{sum=0; for (i=1; i<=NF; i++) { sum+= $i } print sum/NF}')"
maxddiff="${maxddiff} $(tr ' ' '\n' <<<$mdiff | sort -r | head -n1)"
done
echo "mmddiff = ${mmddiff}"
echo "maxddiff = ${maxddiff}"
# Next compare output images
mmidiff=""
maxidiff=""
for oname in eddyCudaOutput eddyOmpOutput; do
fslmaths ${indir}/EddyTestData/eddyData/GroundTruth/ground_truth -sub ${odir}/${oname} -abs ${odir}/${oname}_diff_tmp
mdiff=$(fslstats -t ${odir}/${oname}_diff_tmp -k ${indir}/EddyTestData/eddyData/testMask -m)
imrm ${odir}/${oname}_diff_tmp
echo $mdiff > ${odir}/${oname}.ima_mean_diff.txt
mmidiff="${mmidiff} $(echo $mdiff | awk '{sum=0; for (i=1; i<=NF; i++) { sum+= $i } print sum/NF}')"
maxidiff="${maxidiff} $(tr ' ' '\n' <<<$mdiff | sort -r | head -n1)"
done
echo "mmidiff = ${mmidiff}"
echo "maxidiff = ${maxidiff}"
# Next decide on fail or pass
fail=$(echo "$(echo $mmddiff | awk '{print $1}') > ${max_mean_dfield_diff}" | bc)
if [ $fail -gt 0 ]; then
exit 1;
fi
fail=$(echo "$(echo $mmddiff | awk '{print $2}') > ${max_mean_dfield_diff}" | bc)
if [ $fail -gt 0 ]; then
exit 1;
fi
fail=$(echo "$(echo $maxddiff | awk '{print $1}') > ${max_max_dfield_diff}" | bc)
if [ $fail -gt 0 ]; then
exit 1;
fi
fail=$(echo "$(echo $maxddiff | awk '{print $2}') > ${max_max_dfield_diff}" | bc)
if [ $fail -gt 0 ]; then
exit 1;
fi
fail=$(echo "$(echo $mmidiff | awk '{print $1}') > ${max_mean_ima_diff}" | bc)
if [ $fail -gt 0 ]; then
exit 1;
fi
fail=$(echo "$(echo $mmidiff | awk '{print $2}') > ${max_mean_ima_diff}" | bc)
if [ $fail -gt 0 ]; then
exit 1;
fi
fail=$(echo "$(echo $maxidiff | awk '{print $1}') > ${max_max_ima_diff}" | bc)
if [ $fail -gt 0 ]; then
exit 1;
fi
fail=$(echo "$(echo $maxidiff | awk '{print $2}') > ${max_max_ima_diff}" | bc)
if [ $fail -gt 0 ]; then
exit 1;
fi
exit 0
#! /bin/sh
#
# This script runs eddy followed by some
# tests on the output.
# It uses simulated data supplied by Mark
# Graham, UCL, which allows us to have a ground
# truth. The data is a subset of that used
# for the outlier paper.
#
mean_dfield_difference() {
local mdd_ii=$1
local mdd_odir=$2
local mdd_obase=$3
local mdd_tfname=$4
local mdd_mask=$5
if [ ${#mdd_ii} -eq 1 ]; then
local mdd_ofname="${mdd_odir}/${mdd_obase}.eddy_displacement_fields.00${mdd_ii}.nii.gz"
elif [ ${#mdd_ii} -eq 2 ]; then
local mdd_ofname="${mdd_odir}/${mdd_obase}.eddy_displacement_fields.0${mdd_ii}.nii.gz"
elif [ ${#mdd_ii} -eq 3 ]; then
local mdd_ofname="${mdd_odir}/${mdd_obase}.eddy_displacement_fields.${mdd_ii}.nii.gz"
fi
fslmaths ${mdd_tfname} -sub ${mdd_ofname} -mul ${mdd_mask} -sqr -Tmean -mul 3 -sqrt ${mdd_odir}/${mdd_obase}_${mdd_ii}_tmp
local mdd_mdiff=`fslstats ${mdd_odir}/${mdd_obase}_${mdd_ii}_tmp -k ${mdd_mask} -M`
# imrm ${mdd_odir}/${mdd_obase}_${mdd_ii}_tmp
echo ${mdd_mdiff}
return 0
}
odir=$1
strict=$2
indir=$3
#
# Inputs 1--3 are the once neccessary for feeds to work
# Additional inputs are optional and intended for testing
# outside of the feeds context.
#
# Input 4 is alternative location of executable
#
if [ "$#" -gt 3 ]; then
exedir=$4
echo "Directory for eddy executables set to ${exedir}"
else
exedir="${FSLDIR}/bin"
fi
if [ ! -x "${exedir}/eddy_cuda" ]; then
echo "Executable ${exedir}/eddy_cuda does not exist"
exit 1
fi
if [ ! -x "${exedir}/eddy_openmp" ]; then
echo "Executable ${exedir}/eddy_openmp does not exist"
exit 1
fi
if [ ! -d "$odir" ]; then
echo "Output directory ${odir} does not exist"
exit 1;
fi
if [ ! -d "$indir" ]; then
echo "Input directory ${odir} does not exist"
exit 1;
fi
# Define some constants
max_mean_dfield_diff=0.543
max_max_dfield_diff=0.877
max_mean_ima_diff=1.49
max_max_ima_diff=3.18
# Launch both GPU and CPU versions
cuda_jid=`fsl_sub -q cuda.q ${exedir}/eddy_cuda --imain=${indir}/EddyTestData/eddyData/testData --mask=${indir}/EddyTestData/eddyData/testMask --bvals=${indir}/EddyTestData/eddyData/testBvals --bvecs=${indir}/EddyTestData/eddyData/testBvecs --index=${indir}/EddyTestData/eddyData/testIndex --acqp=${indir}/EddyTestData/eddyData/testAcqparams --repol --fwhm=10,0,0,0,0 --out=${odir}/eddyCudaOutput --dfields -v`
omp_jid=`fsl_sub -q long.q -s openmp,6 ${exedir}/eddy_openmp --imain=${indir}/EddyTestData/eddyData/testData --mask=${indir}/EddyTestData/eddyData/testMask --bvals=${indir}/EddyTestData/eddyData/testBvals --bvecs=${indir}/EddyTestData/eddyData/testBvecs --index=${indir}/EddyTestData/eddyData/testIndex --acqp=${indir}/EddyTestData/eddyData/testAcqparams --repol --fwhm=10,0,0,0,0 --out=${odir}/eddyOmpOutput --dfields -v`
# Wait until they have both finished
while [ : ]; do
tmp=`qstat -j ${cuda_jid} | wc`
tmp=`echo $tmp | awk '{print $1}'`
if [ $tmp -eq 0 ]; then
tmp=`qstat -j ${omp_jid} | wc`
tmp=`echo $tmp | awk '{print $1}'`
if [ $tmp -eq 0 ]; then
break
fi
fi
sleep 5m
done
# Check that eddy output exists
if [ ! -f ${odir}/eddyCudaOutput.nii* ]; then
exit 1
fi
if [ ! -f ${odir}/eddyOmpOutput.nii* ]; then
exit 1
fi
# Check the results against ground truth
# First compare displacement fields
mmddiff=""
maxddiff=""
for obase in eddyCudaOutput eddyOmpOutput; do
mdiff=""
for ((ii=1; ii<=108; ii+=1)); do
mdiff="${mdiff} $(mean_dfield_difference ${ii} ${odir} ${obase} ${indir}/EddyTestData/eddyData/DisplacementFields/DisplacementField${ii} ${indir}/EddyTestData/eddyData/testMask)"
done
echo $mdiff > ${odir}/${obase}.dfield_mean_diff.txt
mmddiff="${mmddiff} $(echo $mdiff | awk '{sum=0; for (i=1; i<=NF; i++) { sum+= $i } print sum/NF}')"
maxddiff="${maxddiff} $(tr ' ' '\n' <<<$mdiff | sort -r | head -n1)"
done
echo "mmddiff = ${mmddiff}"
echo "maxddiff = ${maxddiff}"
# Next compare output images
mmidiff=""
maxidiff=""
for oname in eddyCudaOutput eddyOmpOutput; do
fslmaths ${indir}/EddyTestData/eddyData/GroundTruth/ground_truth -sub ${odir}/${oname} -abs ${odir}/${oname}_diff_tmp
mdiff=$(fslstats -t ${odir}/${oname}_diff_tmp -k ${indir}/EddyTestData/eddyData/testMask -m)
imrm ${odir}/${oname}_diff_tmp
echo $mdiff > ${odir}/${oname}.ima_mean_diff.txt
mmidiff="${mmidiff} $(echo $mdiff | awk '{sum=0; for (i=1; i<=NF; i++) { sum+= $i } print sum/NF}')"
maxidiff="${maxidiff} $(tr ' ' '\n' <<<$mdiff | sort -r | head -n1)"
done
echo "mmidiff = ${mmidiff}"
echo "maxidiff = ${maxidiff}"
# Next decide on fail or pass
fail=$(echo "$(echo $mmddiff | awk '{print $1}') > ${max_mean_dfield_diff}" | bc)
if [ $fail -gt 0 ]; then
exit 1;
fi
fail=$(echo "$(echo $mmddiff | awk '{print $2}') > ${max_mean_dfield_diff}" | bc)
if [ $fail -gt 0 ]; then
exit 1;
fi
fail=$(echo "$(echo $maxddiff | awk '{print $1}') > ${max_max_dfield_diff}" | bc)
if [ $fail -gt 0 ]; then
exit 1;
fi
fail=$(echo "$(echo $maxddiff | awk '{print $2}') > ${max_max_dfield_diff}" | bc)
if [ $fail -gt 0 ]; then
exit 1;
fi
fail=$(echo "$(echo $mmidiff | awk '{print $1}') > ${max_mean_ima_diff}" | bc)
if [ $fail -gt 0 ]; then
exit 1;
fi
fail=$(echo "$(echo $mmidiff | awk '{print $2}') > ${max_mean_ima_diff}" | bc)
if [ $fail -gt 0 ]; then
exit 1;
fi
fail=$(echo "$(echo $maxidiff | awk '{print $1}') > ${max_max_ima_diff}" | bc)
if [ $fail -gt 0 ]; then
exit 1;
fi
fail=$(echo "$(echo $maxidiff | awk '{print $2}') > ${max_max_ima_diff}" | bc)
if [ $fail -gt 0 ]; then
exit 1;
fi
exit 0
README 0 → 100644
This repository contains a set of tests which can be run via
[pyfeeds](https://git.fmrib.ox.ac.uk/fsl/pyfeeds/) to test an FSL
installation.
Run the tests from the repository root as follows:
pyfeeds -c pyfeeds_config.cfg -o /path/to/output_direcfory .
Before running the tests, make sure to update the paths in
`pyfeeds_config.cfg`.
\ No newline at end of file
/ContrastName1 YA>OA
/NumWaves 2
/NumContrasts 1
/PPheights 1.000000e+00
/RequiredEffect 2.487
/Matrix
1.000000e+00 -1.000000e+00
/NumWaves 2
/NumPoints 10
/PPheights 1.000000e+00 1.000000e+00
/Matrix
1.000000e+00 0.000000e+00
1.000000e+00 0.000000e+00
1.000000e+00 0.000000e+00
1.000000e+00 0.000000e+00
1.000000e+00 0.000000e+00
0.000000e+00 1.000000e+00
0.000000e+00 1.000000e+00
0.000000e+00 1.000000e+00
0.000000e+00 1.000000e+00
0.000000e+00 1.000000e+00
fsl_course_data/rest/ICA/Group
#!/bin/bash -e
./testDualRegression.sh $@
#!/bin/bash -e
#
# A FEEDS test for dual_regression
outdir=$1
datadir=$2
subdatadir=$datadir/fsl_course_data/rest/ICA/Group
unset SGE_ROOT
#Generate full paths to clean functionals, in standard space, for melodic, taking only even numbered subj - still gives balances design
awk -v DATADIR="$subdatadir/" 'NR % 2 == 0 {print DATADIR$0}' ${subdatadir}/inputlist_clean.txt > $outdir/inputlist_clean.txt
# Run the dual regression
# Magic numbers in command:
# 1: variance normalise; -1: don't supply design files; 0: don't run randomise
echo "Running dual regression..."
#dual_regression "${inputICA}/melodic_IC.nii.gz" 1 -1 0 "$outputDR" `cat inputlist_clean.txt`
dual_regression ${subdatadir}/groupmelodic_fix.ica/melodic_IC.nii.gz 1 `pwd`/design.mat `pwd`/design.con 500 ${outdir}/Age.DR `cat ${outdir}/inputlist_clean.txt`
echo "Done."
exit 0
fsl_course_data/fdt1/subj1
fsl_course_data/fdt1/subj1_preproc
fsl_course_data/fdt1/tbss
#!/bin/bash -e
# topup is broken in fsl-alpha. When
# topup is fixed, uncomment this line,
# and change the value of TOPUPDIR in
# the test_topup_eddy.sh script.
./test_topup_eddy.sh $@
./test_dtifit.sh $@
./test_tbss.sh $@
#!/bin/bash
# Functions for FSL tests.
function testimage {
image1=$1
image2=$2
diffimg=$3
thres=$4
fslmaths $image1 -sub $image2 $diffimg
norm=`fslstats $image2 -a -m`
error=`fslstats $diffimg -a -m`
error=`echo $error / $norm | bc -l`
if [ `echo "$thres < $error" | bc` -eq "1" ]; then
echo "$0 failed on $image1: error = $error"
exit 1
fi
}
function testVectorImage {
image1=$1
image2=$2
diffimg=$3
thres=$4
numVectors=`fslstats $image2 -V`
#TODO AWK num nonzero vecs
fslmaths $image1 -mul $image2 -Tmean -mul 3 -abs $diffimg
error=`fslstats $diffimg -l 0.99999 -V`
#TODO num good vecs diff with above
if [ `echo "$thres < $error" | bc` -eq "1" ]; then
echo "$0 failed on $image1: error = $error"
exit 1
fi
}
function testfile {
file1=$1
file2=$2
value1=`md5sum $file1 | cut -d ' ' -f 1 | tr -d ' '`
value2=`md5sum $file2 | cut -d ' ' -f 1 | tr -d ' '`
if [ "$value1" != "$value1" ]; then
echo "$0 failed on $file1"
exit 1
fi
}
#!/bin/bash
# Test from the FSL course fdt1 practical.
# Tests dtifit.
set -e
outdir=$1
datadir=$2
subdatadir=$datadir/fsl_course_data/fdt1/subj1
dtifit -k $subdatadir/data -m $subdatadir/nodif_brain_mask -r $subdatadir/bvecs -b $subdatadir/bvals -o $outdir/dti > /dev/null # standard output is not important
exit 0
#!/bin/bash
# Test from the FSL course fdt1 practical.
# Tests tbss.
set -e
outdir=$1
datadir=$2
subdatadir=$datadir/fsl_course_data/fdt1/tbss
################
# tbss_1_preproc
################
# TBSS screws with the input files, so
# we'll make a copy of them, and move
# to that directory
mkdir $outdir/tbss
cp $subdatadir/*.nii.gz $outdir/tbss/
pushd $outdir/tbss > /dev/null
outdir=$outdir/tbss
# Build a list of all subjects
# (names of the input files)
subjects=""
for file in *.nii.gz; do
subject=`basename $file .nii.gz`
subjects="$subjects $subject"
done
tbss_1_preproc *.nii.gz
################
# tbss_2_preproc
################
# Skip this one - copy the pre-computed registrations
cp $subdatadir/precomputed_registration/* $outdir/FA/
################
# tbss_3_postreg
################
tbss_3_postreg -S
#################
# tbss_4_prestats
#################
tbss_4_prestats 0.3
###########
# Randomise
###########
randomise -i $outdir/stats/all_FA_skeletonised \
-o $outdir/stats/tbss \
-m $outdir/stats/mean_FA_skeleton_mask \
-d $subdatadir/design.mat \
-t $subdatadir/design.con \
-c 1.5 \
--seed=1
###########
# tbss_fill
###########
tbss_fill $outdir/stats/tbss_clustere_corrp_tstat1 0.949 \
$outdir/stats/mean_FA \
$outdir/stats/tbss_clustere_corrp_tstat1_filled
popd > /dev/null
exit 0
#!/bin/bash
# Test from the FSL course fdt1 practical.
#
# Tests topup, eddy, and gps.
set -e
set -x
outdir=$1
datadir=$2
subdatadir=$datadir/fsl_course_data/fdt1/subj1_preproc
#######
# TOPUP
#######
# Extract a nodif image for the AP phase
# encoding direction, and merge this with
# the (pre-extracted) nodif_PA.
fslroi $subdatadir/dwidata $outdir/nodif 0 1
fslmerge -t $outdir/AP_PA_b0 $outdir/nodif $subdatadir/nodif_PA
# Run topup to estimate the distortion,
# and applytopup to correct all the
# diffusion images.
topup --imain=$outdir/AP_PA_b0.nii.gz --datain=$subdatadir/acqparams.txt --config=b02b0.cnf --out=$outdir/topup_AP_PA_b0
applytopup --imain=$outdir/nodif,$subdatadir/nodif_PA --topup=$outdir/topup_AP_PA_b0 --datain=$subdatadir/acqparams.txt --inindex=1,2 --out=$outdir/hifi_nodif
######
# EDDY
######
# Create a brain mask, and test the output
bet $outdir/hifi_nodif $outdir/hifi_nodif_brain -m -f 0.2
# Correct for eddy currents, actually just make sure eddy ( both pre- and post- 5.0.9 naming scheme) runs and then simulate CTRL+C ( as per course instructions )
if [ `bash -c "test -e eddy_openmp; echo \$?; exit 0"` -eq "0" ]; then
eddy_openmp --imain=$subdatadir/dwidata --mask=$outdir/hifi_nodif_brain_mask \
--index=$subdatadir/index.txt --acqp=$subdatadir/acqparams.txt \
--bvecs=$subdatadir/bvecs --bvals=$subdatadir/bvals \
--fwhm=0 --topup=$outdir/topup_AP_PA_b0 --flm=quadratic \
--out=$outdir/eddy_unwarped_images & sleep 10; kill -TERM $!
elif [ `bash -c "test -e eddy; echo \$?; exit 0"` -eq "0" ]; then
eddy_openmp --imain=$subdatadir/dwidata --mask=$outdir/hifi_nodif_brain_mask \
--index=$subdatadir/index.txt --acqp=$subdatadir/acqparams.txt \
--bvecs=$subdatadir/bvecs --bvals=$subdatadir/bvals \
--fwhm=0 --topup=$outdir/topup_AP_PA_b0 --flm=quadratic \
--out=$outdir/eddy_unwarped_image & sleep 10; kill -TERM $!
fi
cp $subdatadir/pre_baked/eddy_unwarped_images* $outdir
# Finally, test the gps command, for generating bvecs
gps --ndir=64 --optws --out=$outdir/my.bvecs
exit 0
fsl_course_data/fdt2
#!/bin/bash -e
./feedsRun1.sh $@
./feedsRun2.sh $@
./feedsRun3.sh $@
./feedsRun4.sh $@
./feedsRun5.sh $@
./feedsRun6.sh $@
#!/bin/bash -e
#
# A FEEDS test which runs probabilistic tracking from a seed voxel
# in native diffusion space. To allow comparison between results and
# benchmark, the random seed is set to 10
outdir=$1
datadir=$2
subdatadir=$datadir/fsl_course_data/fdt2
# Simple tracking - connectivity from a single seed point in the internal capsule
probtrackx2 --simple --seedref=${subdatadir}/subj1.bedpostX/nodif_brain_mask -o singleSeedTract -x ${subdatadir}/singleSeedTract/fdt_coordinates.txt -l --onewaycondition -c 0.2 -S 2000 --steplength=0.5 -P 5000 --fibthresh=0.01 --distthresh=0.0 --sampvox=0.0 --forcedir --opd -s ${subdatadir}/subj1.bedpostX/merged -m ${subdatadir}/subj1.bedpostX/nodif_brain_mask --dir=${outdir}/singleSeedTract --rseed=10
exit 0
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment